# Uses of Enum Class
org.apache.sysds.runtime.frame.data.columns.ArrayFactory.FrameArrayType

Packages that use ArrayFactory.FrameArrayType
Package
Description
org.apache.sysds.runtime.frame.data.columns
org.apache.sysds.runtime.frame.data.compress

## Uses of ArrayFactory.FrameArrayType in org.apache.sysds.runtime.frame.data.columns

Methods in org.apache.sysds.runtime.frame.data.columns that return ArrayFactory.FrameArrayType
Modifier and Type
Method
Description
`abstract ArrayFactory.FrameArrayType`
Array.`getFrameArrayType()`
Get the internal FrameArrayType, to specify the encoding of the Types, note there are more Frame Array Types than there is ValueTypes.
`ArrayFactory.FrameArrayType`
BitSetArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
BooleanArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
CharArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
DDCArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
DoubleArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
FloatArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
HashIntegerArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
HashLongArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
IntegerArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
LongArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
OptionalArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
RaggedArray.`getFrameArrayType()`
`ArrayFactory.FrameArrayType`
StringArray.`getFrameArrayType()`
`static ArrayFactory.FrameArrayType`
ArrayFactory.FrameArrayType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArrayFactory.FrameArrayType[]`
ArrayFactory.FrameArrayType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ArrayFactory.FrameArrayType in org.apache.sysds.runtime.frame.data.compress

Fields in org.apache.sysds.runtime.frame.data.compress declared as ArrayFactory.FrameArrayType
Modifier and Type
Field
Description
`final ArrayFactory.FrameArrayType`
ArrayCompressionStatistics.`bestType`
Constructors in org.apache.sysds.runtime.frame.data.compress with parameters of type ArrayFactory.FrameArrayType
Modifier
Constructor
Description
``
`ArrayCompressionStatistics(int bytePerValue, int nUnique, boolean shouldCompress, Types.ValueType valueType, boolean containsNull, ArrayFactory.FrameArrayType bestType, long originalSize, long compressedSizeEstimate, boolean sampledAllRows)`